{% extends 'base.html' %}

{% block title %}
Things to Do
{% endblock title %}

{% block content %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_list_detail.name }}</h1>
        </div>
        <h2>Tasks</h2>
        <table>
            <thead>
                <tr>
                    <th>Task</th>
                    <th>Due Date</th>
                </tr>
            </thead>
            <tbody>
                {% for todo_details in todo_list_detail.items.all %}
                <tr>
                    <td>{{ todo_details.task }}</td>
                    <td>{{ todo_details.due_date }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
{% endblock content %}